using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.ZiGong.TianQue
{
    public class SendSmsDto
    {
        /// <summary>
        /// 密钥
        /// </summary>
        [JsonPropertyName("vailCode")]
        [MDisplayName("密钥")]
        [VRequired]
        [VStringLength(0, 50)]
        public string VailCode { get; set; }

        /// <summary>
        /// 唯一标识/工单编号
        /// </summary>
        [JsonPropertyName("replyCode")]
        [MDisplayName("唯一标识")]
        [VRequired]
        [VStringLength(0, 50)]
        public string ReplyCode { get; set; }

        /// <summary>
        /// 网格员姓名
        /// </summary>
        [JsonPropertyName("memberName")]
        [MDisplayName("网格员姓名")]
        [VRequired]
        [VStringLength(0, 50)]
        public string? MemberName { get; set; }

        /// <summary>
        /// 网格员电话
        /// </summary>
        [JsonPropertyName("memberMobile")]
        [MDisplayName("网格员电话")]
        [VRequired]
        [VStringLength(0, 20)]
        public string? MemberMobile { get; set; }

        /// <summary>
        /// 网格化诉求编号
        /// </summary>
        [JsonPropertyName("appealNumber")]
        [MDisplayName("网格化诉求编号")]
        [VRequired]
        [VStringLength(0, 50)]
        public string? AppealNumber { get; set; }

        /// <summary>
        /// 短信类型 1： 短信  2：超时提醒  
        /// </summary>
        [JsonPropertyName("replyType")]
        [MDisplayName("短信类型")]
        [VRequired]
        [VStringLength(0, 10)]
        public string SendType { get; set; }
    }
}
